
// (c) COPYRIGHT URI/MIT 1996
// Please read the full copyright statement in the file COPYRIGH.  
//
// Authors:
//	reza		Reza Nekovei (reza@intcomm.net)

// DSP sub-class implementation for DSPByte,...DSPGrid.
// The files are patterned after the subcalssing examples 
// Test<type>.c,h files.
//
// ReZa 8/25/96

// $Log: DSPByte.cc,v $
// Revision 1.4  1999/04/30 21:32:45  jimg
// Merged no-gnu and release-2-17
//
// Revision 1.3.4.1  1999/02/10 06:28:56  brent
// convert to Standard C++ strings -- b^2
//
// Revision 1.3  1998/08/06 16:32:07  jimg
// Fixed misuse of the read(...) member function. Return true if more data
// is to be read, false is if not and error if an error is detected
//
// Revision 1.2  1996/11/15 18:22:13  jimg
// Fixed copyright statement.
// Added include of config header
//
// Revision 1.1  1996/09/18 22:41:56  reza
//  First release of DODS-DSP servers.
//
//

#include "config_dsp.h"

static char rcsid[]={"$Id: DSPByte.cc,v 1.4 1999/04/30 21:32:45 jimg Exp $"};

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#include <string>

#include "DSPByte.h"

Byte *
NewByte(const string &n)
{
    return new DSPByte(n);
}

DSPByte::DSPByte(const string &n) : Byte(n)
{
}

BaseType *
DSPByte::ptr_duplicate()
{
    return new DSPByte(*this);
}

bool
DSPByte::read(const string &, int &error)
{
    error = 1;
    return false;
}
